Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Tagged_Profile Class Reference

Implementation of one of the GIOP 1.2 Target Address recognition mode. More...

`#include <Tagged_Profile.h>`

Collaboration diagram for TAO_Tagged_Profile:

[legend]
List of all members.

## Public Methods
| TAO_Tagged_Profile (TAO_ORB_Core *orb_core)
| Ctor.
TAO_ObjectKey& | object_key (void)
| Return the object key.
void | object_key (TAO_ObjectKey &object_key)
| Save the object key.
const TAO_ObjectKey& | object_key (void) const
| Return a const object key.
IOP::TaggedProfile& | tagged_profile (void)
| get the tagged_profile.
CORBA::ULong | profile_index (void)
| Get/Set the profile index, that needs to be used in the sequnce of TaggedProfiles contained IOP::IOR that is receivedfrom the client.
void | profile_index (CORBA::ULong ind)
ACE_CString& | type_id (void)
| Accessor to the type_id contained in the IOP::IOR received from the client.
CORBA::Boolean | extract_object_key (IOP::TaggedProfile &profile)
| Extract the object key from the TaggedProfile and store it in <object_key_>.
## Private Attributes
TAO_ORB_Core* | orb_core_
| Our ORB Core.
TAO_ObjectKey | object_key_
| The object key.
IOP::TaggedProfile | profile_
| The Tagged profile. This class would have the Tagged Profile.
CORBA::ULong | profile_index_
| The profile index incase we receive a GIOP::IORAddressingInfo information.
ACE_CString | type_id_
| The type_id in the IOP::IOR incase we receive the GIOP::IORAddressingInfo information.

## Detailed Description

Implementation of one of the GIOP 1.2 Target Address recognition mode.

This class is used to manipulate and access the profile_data field of an IIOP profile (and other GIOP profiles). The definition for that field is simply a sequence of the following structures: struct ProfileBody { Version iiop_version; string host; unsigned short port; sequence<octet> object_key; sequence <IOP::TaggedComponent> components; }; the real motivation is to store the details sent by a client and use only the object key which is relevant to a TAO server as on date.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Tagged_Profile::TAO_Tagged_Profile ( | TAO_ORB_Core * orb_core )

| Ctor.

## Member Function Documentation

CORBA::Boolean TAO_Tagged_Profile::extract_object_key ( | IOP::TaggedProfile & profile )`[inline]`

| Extract the object key from the TaggedProfile and store it in <object_key_>.

ACE_INLINE const TAO_ObjectKey & TAO_Tagged_Profile::object_key ( | void ) const

| Return a const object key.

ACE_INLINE void TAO_Tagged_Profile::object_key ( | TAO_ObjectKey & object_key )

| Save the object key.

ACE_INLINE TAO_ObjectKey & TAO_Tagged_Profile::object_key ( | void )

| Return the object key.

ACE_INLINE void TAO_Tagged_Profile::profile_index ( | CORBA::ULong ind )

ACE_INLINE CORBA::ULong TAO_Tagged_Profile::profile_index ( | void )

| Get/Set the profile index, that needs to be used in the sequnce of TaggedProfiles contained IOP::IOR that is receivedfrom the client.

ACE_INLINE IOP::TaggedProfile & TAO_Tagged_Profile::tagged_profile ( | void )

| get the tagged_profile.

ACE_INLINE ACE_CString & TAO_Tagged_Profile::type_id ( | void )

| Accessor to the type_id contained in the IOP::IOR received from the client.

## Member Data Documentation

TAO_ObjectKey TAO_Tagged_Profile::object_key_`[private]`

| The object key.

TAO_ORB_Core * TAO_Tagged_Profile::orb_core_`[private]`

| Our ORB Core.

IOP::TaggedProfile TAO_Tagged_Profile::profile_`[private]`

| The Tagged profile. This class would have the Tagged Profile.

CORBA::ULong TAO_Tagged_Profile::profile_index_`[private]`

| The profile index incase we receive a GIOP::IORAddressingInfo information.

ACE_CString TAO_Tagged_Profile::type_id_`[private]`

| The type_id in the IOP::IOR incase we receive the GIOP::IORAddressingInfo information.

The documentation for this class was generated from the following files:

- Tagged_Profile.h
- Tagged_Profile.cpp
- Tagged_Profile.i